org.openstreetmap.josm.plugins.streetside.cubemap

## Class CubemapUtils

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.cubemap.CubemapUtils

-     public class CubemapUtils
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CubemapUtils.CubefaceType`
    `static class` | `CubemapUtils.CubemapFaces`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Map<java.lang.String[],java.lang.String>` | `directionConversion`
    `static java.lang.String` | `IMPORTED_ID`
    `(package private) static org.apache.log4j.Logger` | `logger`
    `private static int` | `NUM_BASE`
    `static int` | `NUM_SIDES`
    `static java.util.Map<java.lang.String,java.lang.String>` | `rowCol2StreetsideCellAddressMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CubemapUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `convertDecimal2Quaternary(long inputNum)`
    `static java.lang.String` | `convertDoubleCountNrto16TileNr(java.lang.String countNr)`
    `static java.lang.String` | `convertQuaternary2Decimal(java.lang.String inputNum)`
    `static int` | `getCount4FaceNumber(java.lang.String faceString)`
    `static java.lang.String` | `getFaceIdFromTileId(java.lang.String tileId)`
    `static java.lang.String` | `getFaceNumberForCount(int count)`
    `static int` | `getTileHeight()`
    `static int` | `getTileWidth()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          static final org.apache.log4j.Logger logger

    - #### directionConversion

          public static java.util.Map<java.lang.String[],java.lang.String> directionConversion

    - #### NUM_BASE

          private static final int NUM_BASE

      See Also:
        Constant Field Values

    - #### IMPORTED_ID

          public static final java.lang.String IMPORTED_ID

      See Also:
        Constant Field Values

    - #### NUM_SIDES

          public static final int NUM_SIDES

      See Also:
        Constant Field Values

    - #### rowCol2StreetsideCellAddressMap

          public static java.util.Map<java.lang.String,java.lang.String> rowCol2StreetsideCellAddressMap

  - ### Constructor Detail

    - #### CubemapUtils

          public CubemapUtils()

  - ### Method Detail

    - #### convertDecimal2Quaternary

          public static java.lang.String convertDecimal2Quaternary(long inputNum)

    - #### convertQuaternary2Decimal

          public static java.lang.String convertQuaternary2Decimal(java.lang.String inputNum)

    - #### getFaceNumberForCount

          public static java.lang.String getFaceNumberForCount(int count)

    - #### getTileWidth

          public static int getTileWidth()

    - #### getTileHeight

          public static int getTileHeight()

    - #### getCount4FaceNumber

          public static int getCount4FaceNumber(java.lang.String faceString)

    - #### getFaceIdFromTileId

          public static java.lang.String getFaceIdFromTileId(java.lang.String tileId)

    - #### convertDoubleCountNrto16TileNr

          public static java.lang.String convertDoubleCountNrto16TileNr(java.lang.String countNr)

JOSM Plugins